For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

List Tool Packs

GET
https://ah-api.merge.dev/api/v1/tool-packs/
GET
/api/v1/tool-packs/
$curl https://ah-api.merge.dev/api/v1/tool-packs/ \
> -H "Authorization: Bearer <token>"
200Tool Pack with Connectors
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "3c90c3c0-6d46-4b50-8888-8dd25736052f",
6 "name": "Support Agent Tool Pack",
7 "description": "Ticketing connectors for support agents",
8 "connectors": [
9 {
10 "name": "Linear",
11 "slug": "linear",
12 "source_url": "https://linear.app",
13 "logo_url": "https://linear.app/favicon.ico",
14 "categories": [
15 "Project Management"
16 ],
17 "tools": [
18 {
19 "name": "create_issue",
20 "description": "Create a new issue in Linear"
21 },
22 {
23 "name": "list_issues",
24 "description": "List issues in Linear"
25 }
26 ]
27 }
28 ]
29 }
30 ],
31 "next": "https://ah-api.merge.dev/api/v1/tool-packs/?page=4",
32 "previous": "https://ah-api.merge.dev/api/v1/tool-packs/?page=2"
33}
Retrieves a list of Tool Packs
Was this page helpful?
Previous

Create Link Token

Next

Create Tool Pack

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"